iMacros window won't open - Security Error (FF56)

Discussions and Tech Support related to the iMacros Firefox Add-on, including the built-in Javascript scripting interface for playing .js files.
Forum rules
Before asking a question or reporting an issue:
1. Please review the list of FAQ's.
2. Use the search box (at the top of each forum page) to see if a similar problem or question has already been addressed.
3. Try searching the iMacros Wiki - it contains the complete iMacros reference as well as plenty of samples and tutorials.
4. We can respond much faster to your posts if you include the following information: CLICK HERE FOR IMPORTANT INFORMATION TO INCLUDE IN YOUR POST
Post Reply
tacolover69
Posts: 3
Joined: Sat Aug 10, 2019 7:09 am

iMacros window won't open - Security Error (FF56)

Post by tacolover69 » Sat Aug 10, 2019 7:13 am

Here is the detailed error:

Code: Select all

Extension error: SecurityError: The operation is insecure. undefined 358
[[Exception stack
getBool@moz-extension://6b60c3c6-8757-421d-a0c6-7787c0f924d1/utils.js:358:13
@moz-extension://6b60c3c6-8757-421d-a0c6-7787c0f924d1/bg.js:348:9
Current stack
runSafeSyncWithoutClone@resource://gre/modules/ExtensionUtils.jsm:63:129
runSafeWithoutClone@resource://gre/modules/ExtensionCommon.jsm:174:38
fire@resource://gre/modules/ExtensionChild.jsm:771:71
withHandlingUserInput@resource://gre/modules/ExtensionUtils.jsm:164:12
receiveMessage@resource://gre/modules/ExtensionChild.jsm:773:18
_callHandlers/<@resource://gre/modules/MessageChannel.jsm:587:17
_callHandlers@resource://gre/modules/MessageChannel.jsm:586:14
_handleMessage/deferred.promise<@resource://gre/modules/MessageChannel.jsm:651:7
_handleMessage@resource://gre/modules/MessageChannel.jsm:648:24
receiveMessage@resource://gre/modules/MessageChannel.jsm:163:5
iMacros: Newest version from the FF add-on page
Firefox: 56.0.2 with bug fixes applied (https://aur.archlinux.org/packages/fire ... ent-663887)
System: Arch linux 64-bit, newest available Kernel and everything up-to-date

I had iMacros work before on my setup with FF56 and the newest iMacros. One day it stopped working (months ago), now I kinda need it so I looked into it, started FF from CLI and got the above error. Sounds to me like it's easy to fix but I'm not sure if it's the add-on that needs an update or if I need to take some action elsewhere. Any other add-on works fine.

Appreciating any help a lot!
chivracq
Posts: 8716
Joined: Sat Apr 13, 2013 1:07 pm
Location: Amsterdam (NL)

Re: iMacros window won't open - Security Error (FF56)

Post by chivracq » Mon Aug 12, 2019 10:19 pm

tacolover69 wrote:
Sat Aug 10, 2019 7:13 am

Code: Select all

iMacros: Newest version from the FF add-on page
Firefox: 56.0.2 with bug fixes applied (https://aur.archlinux.org/packages/firefox56/#comment-663887)
System: Arch linux 64-bit, newest available Kernel and everything up-to-date
Here is the detailed error:

Code: Select all

Extension error: SecurityError: The operation is insecure. undefined 358
[[Exception stack
getBool@moz-extension://6b60c3c6-8757-421d-a0c6-7787c0f924d1/utils.js:358:13
@moz-extension://6b60c3c6-8757-421d-a0c6-7787c0f924d1/bg.js:348:9
Current stack
runSafeSyncWithoutClone@resource://gre/modules/ExtensionUtils.jsm:63:129
runSafeWithoutClone@resource://gre/modules/ExtensionCommon.jsm:174:38
fire@resource://gre/modules/ExtensionChild.jsm:771:71
withHandlingUserInput@resource://gre/modules/ExtensionUtils.jsm:164:12
receiveMessage@resource://gre/modules/ExtensionChild.jsm:773:18
_callHandlers/<@resource://gre/modules/MessageChannel.jsm:587:17
_callHandlers@resource://gre/modules/MessageChannel.jsm:586:14
_handleMessage/deferred.promise<@resource://gre/modules/MessageChannel.jsm:651:7
_handleMessage@resource://gre/modules/MessageChannel.jsm:648:24
receiveMessage@resource://gre/modules/MessageChannel.jsm:163:5
iMacros: Newest version from the FF add-on page
Firefox: 56.0.2 with bug fixes applied (https://aur.archlinux.org/packages/fire ... ent-663887)
System: Arch linux 64-bit, newest available Kernel and everything up-to-date

I had iMacros work before on my setup with FF56 and the newest iMacros. One day it stopped working (months ago), now I kinda need it so I looked into it, started FF from CLI and got the above error. Sounds to me like it's easy to fix but I'm not sure if it's the add-on that needs an update or if I need to take some action elsewhere. Any other add-on works fine.

Appreciating any help a lot!

Hum, sorry it took "so long" to approve your Post/Topic, I was away to some Festival with no Internet at all for 4 full days, to "manually" check 1st time Posters... I had some AI-Script running and that was doing the Approval, but it's a very bad "Idea" anyway to use the 'M247' Proxy/VPN Provider to register to a (Tech) Forum, only Spammers use that Service/Provider and all those 'M247' IP's are "slowly" getting banned a bit everywhere... :roll:

>>>

But hum, OK, if you are a "real User"...: :wink:
=> Which "Newest version from the FF add-on page" are you using...?
Sorry but, "current"/"newest"/"latest" never means much on a Tech Forum, and will even mean less in a few weeks/months/years to sbd reading the Thread..., simply mention the exact Version...

"... started FF from CLI..." => Yep OK, then post that Script/Command also...
- (F)CI(M) = (Full) Config Info (Missing): iMacros + Browser + OS (+ all 3 Versions + 'Free'/'PE').
- I don't even read the Qt if that (required) Info is not mentioned...!
- Script & URL help a lot for more "educated" Help...
tacolover69
Posts: 3
Joined: Sat Aug 10, 2019 7:09 am

Re: iMacros window won't open - Security Error (FF56)

Post by tacolover69 » Tue Aug 13, 2019 5:06 am

chivracq wrote:
Mon Aug 12, 2019 10:19 pm
Hum, sorry it took "so long" to approve your Post/Topic, I was away to some Festival with no Internet at all for 4 full days, to "manually" check 1st time Posters... I had some AI-Script running and that was doing the Approval, but it's a very bad "Idea" anyway to use the 'M247' Proxy/VPN Provider to register to a (Tech) Forum, only Spammers use that Service/Provider and all those 'M247' IP's are "slowly" getting banned a bit everywhere... :roll:
That is good to know. I'm using a VPN service (not M247 but I guess they use them?) that is completely fixed in my router network-wide, no evil intentions. :(
chivracq wrote:
Mon Aug 12, 2019 10:19 pm
But hum, OK, if you are a "real User"...: :wink:
=> Which "Newest version from the FF add-on page" are you using...?
Sorry but, "current"/"newest"/"latest" never means much on a Tech Forum, and will even mean less in a few weeks/months/years to sbd reading the Thread..., simply mention the exact Version...
I think/hope I'm real, but I might be dreaming..
I'm on firefox 56.0.2 (64-bit) with iMacros 10.0.2.1450
chivracq wrote:
Mon Aug 12, 2019 10:19 pm
"... started FF from CLI..." => Yep OK, then post that Script/Command also...
There is no script, the command is simply "firefox".

I've tracked the issue down, but I do not understand it one bit. By default, I have cookies disabled and *only* allowed for what I specifically whitelist.

If I change that setting and allow all cookies, iMacros works perfectly.

So I guess issue resolved, but if anyone has an explanation for that (I don't see a relation to the security error shown at all) I'd appreciate it.
chivracq
Posts: 8716
Joined: Sat Apr 13, 2013 1:07 pm
Location: Amsterdam (NL)

Re: iMacros window won't open - Security Error (FF56)

Post by chivracq » Tue Aug 13, 2019 1:14 pm

OK, quoting your previous Reply "in bulk", as I'm "too lazy" to quote and reply bit by bit, ah-ah...! :wink:
tacolover69 wrote:
Tue Aug 13, 2019 5:06 am
chivracq wrote:
Mon Aug 12, 2019 10:19 pm
Hum, sorry it took "so long" to approve your Post/Topic, I was away to some Festival with no Internet at all for 4 full days, to "manually" check 1st time Posters... I had some AI-Script running and that was doing the Approval, but it's a very bad "Idea" anyway to use the 'M247' Proxy/VPN Provider to register to a (Tech) Forum, only Spammers use that Service/Provider and all those 'M247' IP's are "slowly" getting banned a bit everywhere... :roll:
That is good to know. I'm using a VPN service (not M247 but I guess they use them?) that is completely fixed in my router network-wide, no evil intentions. :(
chivracq wrote:
Mon Aug 12, 2019 10:19 pm
But hum, OK, if you are a "real User"...: :wink:
=> Which "Newest version from the FF add-on page" are you using...?
Sorry but, "current"/"newest"/"latest" never means much on a Tech Forum, and will even mean less in a few weeks/months/years to sbd reading the Thread..., simply mention the exact Version...
I think/hope I'm real, but I might be dreaming..
I'm on firefox 56.0.2 (64-bit) with iMacros 10.0.2.1450
chivracq wrote:
Mon Aug 12, 2019 10:19 pm
"... started FF from CLI..." => Yep OK, then post that Script/Command also...
There is no script, the command is simply "firefox".

I've tracked the issue down, but I do not understand it one bit. By default, I have cookies disabled and *only* allowed for what I specifically whitelist.

If I change that setting and allow all cookies, iMacros works perfectly.

So I guess issue resolved, but if anyone has an explanation for that (I don't see a relation to the security error shown at all) I'd appreciate it.

So, OK, you are a "real User" then, good-good...! :D

Then..., OK about your (public) IP, and yep, be aware of its "Reputation"... The ones "belonging" to 'M247' and 'DigitalOcean' are the absolute Number 1 worst IP's to use, as those Proxy/VPN/Cloud Providers are also heavily used by Spammers who render those IP's very "dirty"...

Alright about your FCI... Hum, I'm nearly surprised you managed to install iMacros for FF v10.0.2 on FF56. But, yep indeed, FF56 was the first FF Version based on WebExtensions that v10.0.2 for FF could install on, I think I remember...
But this is a "strange" Combination anyway... :? If you are "staying" at FF56 because you want to keep using some Legacy Add-ons that were not ported to WebExtensions, then you could also rather use iMacros for FF v8.9.7 which also works on FF56. (Recommended is FF v55.0.3.) :idea:
And v8.9.7 is much more functional than v10.0.2 for FF ('Free' as you are on Linux, there is not even a 'PE' Version on Linux). (=> Can be downloaded from the 'iMacros for FF Legacy Version' Wiki-Page.)

About "Cookies", the Release Notes for v10.0.2 for FF does mention that iMacros gets disabled when running Firefox in Private Browsing Mode, "due to Firefox Restrictions", so I guess that's probably your Case... But FF should still be able to start "a bit normally", you only get the iMacros Add-on simply disabled normally... But as FF56 was the first Version for v10.0.2 for FF, maybe that Mechanism was still a bit buggy in FF56 then at the beginning, I don't know... FF was already at FF62 I remember when v10.0.2 for FF "Final" got officially released, I remember doing all the Beta-Testing with FF60 and FF61 which were already a few Versions after FF56.
- (F)CI(M) = (Full) Config Info (Missing): iMacros + Browser + OS (+ all 3 Versions + 'Free'/'PE').
- I don't even read the Qt if that (required) Info is not mentioned...!
- Script & URL help a lot for more "educated" Help...
tacolover69
Posts: 3
Joined: Sat Aug 10, 2019 7:09 am

Re: iMacros window won't open - Security Error (FF56)

Post by tacolover69 » Wed Aug 14, 2019 9:41 am

chivracq wrote:
Tue Aug 13, 2019 1:14 pm
OK, quoting your previous Reply "in bulk", as I'm "too lazy" to quote and reply bit by bit, ah-ah...! :wink:
Agreed.
chivracq wrote:
Tue Aug 13, 2019 1:14 pm
So, OK, you are a "real User" then, good-good...! :D

Then..., OK about your (public) IP, and yep, be aware of its "Reputation"... The ones "belonging" to 'M247' and 'DigitalOcean' are the absolute Number 1 worst IP's to use, as those Proxy/VPN/Cloud Providers are also heavily used by Spammers who render those IP's very "dirty"...

Alright about your FCI... Hum, I'm nearly surprised you managed to install iMacros for FF v10.0.2 on FF56. But, yep indeed, FF56 was the first FF Version based on WebExtensions that v10.0.2 for FF could install on, I think I remember...
But this is a "strange" Combination anyway... :? If you are "staying" at FF56 because you want to keep using some Legacy Add-ons that were not ported to WebExtensions, then you could also rather use iMacros for FF v8.9.7 which also works on FF56. (Recommended is FF v55.0.3.) :idea:
And v8.9.7 is much more functional than v10.0.2 for FF ('Free' as you are on Linux, there is not even a 'PE' Version on Linux). (=> Can be downloaded from the 'iMacros for FF Legacy Version' Wiki-Page.)

About "Cookies", the Release Notes for v10.0.2 for FF does mention that iMacros gets disabled when running Firefox in Private Browsing Mode, "due to Firefox Restrictions", so I guess that's probably your Case... But FF should still be able to start "a bit normally", you only get the iMacros Add-on simply disabled normally... But as FF56 was the first Version for v10.0.2 for FF, maybe that Mechanism was still a bit buggy in FF56 then at the beginning, I don't know... FF was already at FF62 I remember when v10.0.2 for FF "Final" got officially released, I remember doing all the Beta-Testing with FF60 and FF61 which were already a few Versions after FF56.
Noted, will take this to netadmin and request a change of provider. Thank you!

THANK YOU for that!!! I don't care much about more features since I only need the basic stuff but I *much* prefer the look of older iMacros vs. the new one (docking to window does not work in v10 for me either)! I got the latest v9 since I am using multi-processes. The choice of FF56 comes from the AUR (Arch-User-Repositiy) where FF56 is still maintained (security patches only) and I just don't like how newer FF looks (reminds me too much of chrome).

Got v9.0.3 - No issues - Simply works, even with cookies off.

Yes, in private mode I can't even click the "iMacros" button but in normal with cookies off I can, the window flashes a bit and that security error is written to console, I'm pretty sure it's related though.

Anyway, problem found and fixed I'd say! I appreciate it :)
chivracq
Posts: 8716
Joined: Sat Apr 13, 2013 1:07 pm
Location: Amsterdam (NL)

Re: iMacros window won't open - Security Error (FF56)

Post by chivracq » Wed Aug 14, 2019 1:54 pm

tacolover69 wrote:
Wed Aug 14, 2019 9:41 am
Noted, will take this to netadmin and request a change of provider. Thank you!

THANK YOU for that!!! I don't care much about more features since I only need the basic stuff but I *much* prefer the look of older iMacros vs. the new one (docking to window does not work in v10 for me either)! I got the latest v9 since I am using multi-processes. The choice of FF56 comes from the AUR (Arch-User-Repositiy) where FF56 is still maintained (security patches only) and I just don't like how newer FF looks (reminds me too much of chrome).

Got v9.0.3 - No issues - Simply works, even with cookies off.

Yes, in private mode I can't even click the "iMacros" button but in normal with cookies off I can, the window flashes a bit and that security error is written to console, I'm pretty sure it's related though.

Anyway, problem found and fixed I'd say! I appreciate it :)

OK about v9.0.3 for FF but v8.9.7 for FF is even "better"...! Hum, unless that "Multi-Process" Functionality doesn't leave you the Choice...
v9.0.3 was a bit buggy and limited compared to v8.9.7...

But OK, glad it's working now anyway... :D
- (F)CI(M) = (Full) Config Info (Missing): iMacros + Browser + OS (+ all 3 Versions + 'Free'/'PE').
- I don't even read the Qt if that (required) Info is not mentioned...!
- Script & URL help a lot for more "educated" Help...
Post Reply